Hallo,
anbei der Code. Das Paste Special habe ich eingefügt, da der
Makrorekorder den Befehl mit der folgenden Fehlermeldung
nicht mitaufgezeichnet hat. Das Makro läuft ohne Fehlermeldung
durch, der Zylinder wird jedoch nicht eingefügt
Gruss
Michi
Sub CATMain()
Dim windows1 As Windows
Set windows1 = CATIA.Windows
Dim specsAndGeomWindow1 As SpecsAndGeomWindow
Set specsAndGeomWindow1 = windows1.Item("Zylinder.CATPart")
specsAndGeomWindow1.Activate
Dim partDocument1 As PartDocument
Set partDocument1 = CATIA.ActiveDocument
Dim selection1 As Selection
Set selection1 = partDocument1.Selection
selection1.Clear
Dim part1 As Part
Set part1 = partDocument1.Part
Dim bodies1 As Bodies
Set bodies1 = part1.Bodies
Dim body1 As Body
Set body1 = bodies1.Item("Zylinder-Koerper")
selection1.Add body1
selection1.Copy
Dim specsAndGeomWindow2 As SpecsAndGeomWindow
Set specsAndGeomWindow2 = windows1.Item("Platte.CATPart")
specsAndGeomWindow2.Activate
Dim partDocument2 As PartDocument
Set partDocument2 = CATIA.ActiveDocument
Dim part2 As Part
Set part2 = partDocument2.Part
Dim selection2 As Selection
Set selection2 = partDocument2.Selection
selection2.Clear
selection2.PasteSpecial "CATPrtCont"
'MsgBox ("Nach einfügen")
part2.Update
End Sub
Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP